<?php
/*
Plugin Name: Comment Form Notes
Description: Allows you to add notes to the comment form using custom fields.
Version: 1.0
*/

#
# Comment Form Notes
# Copyright (C) 2009 Christian Schenk
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#

function cfn_comment_form_action($post_id) {
	$note = get_post_meta($post_id, 'cnote', true);
	if (empty($note)) return;
	echo '<p class="cnote">', $note, '</p>';
}
if (function_exists('add_action'))
	add_action('comment_form', 'cfn_comment_form_action');

?>
